Registration

Confirm email

Use this method to confirm the email address of a pending registration using the confirmation code sent to the client.

POST
/api/v2/my/signup/{registerId}/confirm

Path Parameters

registerId*string

The identifier of the pending registration received from the initialize endpoint.

Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v2/my/signup/36f59381-5b54-48bd-a0c7-3b908c476732/confirm" \  -H "Content-Type: application/json" \  -d '{    "code": "string"  }'
{  "data": {    "auth": {      "type": "native",      "native": {        "accessToken": {          "token": "string",          "expiresAt": "2022-01-01T00:00:00+00:00"        },        "refreshToken": {          "token": "string",          "expiresAt": "2022-01-01T00:00:00+00:00"        }      },      "ory": {        "token": "string",        "expiresAt": "2022-01-01T00:00:00+00:00",        "sessionToken": "string"      }    }  }}
{  "error": {    "message": "Bad Request",    "details": [      {        "issue": "The selected value is invalid.",        "field": "parameter"      }    ]  }}
{  "error": {    "message": "Not Found"  }}
{  "error": {    "message": "Too Many Requests"  }}